# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.reflection
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import Any, TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME

_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    # document generators will most likely not see this.
    from ooo.helper.enum_helper import UnoEnumMeta
    class FieldAccessMode(metaclass=UnoEnumMeta, type_name="com.sun.star.reflection.FieldAccessMode", name_space="com.sun.star.reflection"):
        """Dynamically created class that represents ``com.sun.star.reflection.FieldAccessMode`` Enum. Class loosely mimics Enum"""
        pass
else:
    if TYPE_CHECKING:
        from com.sun.star.reflection.FieldAccessMode import CONST as FIELD_ACCESS_MODE_CONST
        from com.sun.star.reflection.FieldAccessMode import READONLY as FIELD_ACCESS_MODE_READONLY
        from com.sun.star.reflection.FieldAccessMode import READWRITE as FIELD_ACCESS_MODE_READWRITE
        from com.sun.star.reflection.FieldAccessMode import WRITEONLY as FIELD_ACCESS_MODE_WRITEONLY

        class FieldAccessMode(uno.Enum):
            """
            Enum Class


            See Also:
                `API FieldAccessMode <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1reflection.html#a95a71baf95250ba8716608067ba245f9>`_
            """

            def __init__(self, value: Any) -> None:
                super().__init__('com.sun.star.reflection.FieldAccessMode', value)

            __ooo_ns__: str = 'com.sun.star.reflection'
            __ooo_full_ns__: str = 'com.sun.star.reflection.FieldAccessMode'
            __ooo_type_name__: str = 'enum'

            CONST = FIELD_ACCESS_MODE_CONST
            """
            Deprecated.

            Not used anymore.
            """
            READONLY = FIELD_ACCESS_MODE_READONLY
            """
            readable only
            """
            READWRITE = FIELD_ACCESS_MODE_READWRITE
            """
            readable and writeable
            """
            WRITEONLY = FIELD_ACCESS_MODE_WRITEONLY
            """
            writeable only
            """
    else:
        # keep document generators happy
        from ...lo.reflection.field_access_mode import FieldAccessMode as FieldAccessMode


__all__ = ['FieldAccessMode']
