# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.script
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import Any, TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME

_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    # document generators will most likely not see this.
    from ooo.helper.enum_helper import UnoEnumMeta
    class MemberType(metaclass=UnoEnumMeta, type_name="com.sun.star.script.MemberType", name_space="com.sun.star.script"):
        """Dynamically created class that represents ``com.sun.star.script.MemberType`` Enum. Class loosely mimics Enum"""
        pass
else:
    if TYPE_CHECKING:
        from com.sun.star.script.MemberType import METHOD as MEMBER_TYPE_METHOD
        from com.sun.star.script.MemberType import PROPERTY as MEMBER_TYPE_PROPERTY
        from com.sun.star.script.MemberType import UNKNOWN as MEMBER_TYPE_UNKNOWN

        class MemberType(uno.Enum):
            """
            Enum Class


            See Also:
                `API MemberType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1script.html#a63e3de542c5d38de617ab78c8c8f5a41>`_
            """

            def __init__(self, value: Any) -> None:
                super().__init__('com.sun.star.script.MemberType', value)

            __ooo_ns__: str = 'com.sun.star.script'
            __ooo_full_ns__: str = 'com.sun.star.script.MemberType'
            __ooo_type_name__: str = 'enum'

            METHOD = MEMBER_TYPE_METHOD
            """
            """
            PROPERTY = MEMBER_TYPE_PROPERTY
            """
            """
            UNKNOWN = MEMBER_TYPE_UNKNOWN
            """
            """
    else:
        # keep document generators happy
        from ...lo.script.member_type import MemberType as MemberType


__all__ = ['MemberType']
