# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.sheet
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import Any, TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME

_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    # document generators will most likely not see this.
    from ooo.helper.enum_helper import UnoEnumMeta
    class PasteOperation(metaclass=UnoEnumMeta, type_name="com.sun.star.sheet.PasteOperation", name_space="com.sun.star.sheet"):
        """Dynamically created class that represents ``com.sun.star.sheet.PasteOperation`` Enum. Class loosely mimics Enum"""
        pass
else:
    if TYPE_CHECKING:
        from com.sun.star.sheet.PasteOperation import ADD as PASTE_OPERATION_ADD
        from com.sun.star.sheet.PasteOperation import DIVIDE as PASTE_OPERATION_DIVIDE
        from com.sun.star.sheet.PasteOperation import MULTIPLY as PASTE_OPERATION_MULTIPLY
        from com.sun.star.sheet.PasteOperation import NONE as PASTE_OPERATION_NONE
        from com.sun.star.sheet.PasteOperation import SUBTRACT as PASTE_OPERATION_SUBTRACT

        class PasteOperation(uno.Enum):
            """
            Enum Class


            See Also:
                `API PasteOperation <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1sheet.html#af53d63b24461405946937e0b962a8a9b>`_
            """

            def __init__(self, value: Any) -> None:
                super().__init__('com.sun.star.sheet.PasteOperation', value)

            __ooo_ns__: str = 'com.sun.star.sheet'
            __ooo_full_ns__: str = 'com.sun.star.sheet.PasteOperation'
            __ooo_type_name__: str = 'enum'

            ADD = PASTE_OPERATION_ADD
            """
            old and new values are added.
            """
            DIVIDE = PASTE_OPERATION_DIVIDE
            """
            new values are divided by the new values.
            """
            MULTIPLY = PASTE_OPERATION_MULTIPLY
            """
            old and new values are multiplied.
            """
            NONE = PASTE_OPERATION_NONE
            """
            no cells are moved.

            sheet is not linked.

            new values are used without changes.

            nothing is calculated.

            nothing is imported.

            no condition is specified.
            """
            SUBTRACT = PASTE_OPERATION_SUBTRACT
            """
            new values are subtracted from the old values.
            """
    else:
        # keep document generators happy
        from ...lo.sheet.paste_operation import PasteOperation as PasteOperation


__all__ = ['PasteOperation']
