# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.sheet
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import Any, TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME

_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    # document generators will most likely not see this.
    from ooo.helper.enum_helper import UnoEnumMeta
    class ValidationAlertStyle(metaclass=UnoEnumMeta, type_name="com.sun.star.sheet.ValidationAlertStyle", name_space="com.sun.star.sheet"):
        """Dynamically created class that represents ``com.sun.star.sheet.ValidationAlertStyle`` Enum. Class loosely mimics Enum"""
        pass
else:
    if TYPE_CHECKING:
        from com.sun.star.sheet.ValidationAlertStyle import INFO as VALIDATION_ALERT_STYLE_INFO
        from com.sun.star.sheet.ValidationAlertStyle import MACRO as VALIDATION_ALERT_STYLE_MACRO
        from com.sun.star.sheet.ValidationAlertStyle import STOP as VALIDATION_ALERT_STYLE_STOP
        from com.sun.star.sheet.ValidationAlertStyle import WARNING as VALIDATION_ALERT_STYLE_WARNING

        class ValidationAlertStyle(uno.Enum):
            """
            Enum Class


            See Also:
                `API ValidationAlertStyle <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1sheet.html#aecf58149730f4c8c5c18c70f3c7c5db7>`_
            """

            def __init__(self, value: Any) -> None:
                super().__init__('com.sun.star.sheet.ValidationAlertStyle', value)

            __ooo_ns__: str = 'com.sun.star.sheet'
            __ooo_full_ns__: str = 'com.sun.star.sheet.ValidationAlertStyle'
            __ooo_type_name__: str = 'enum'

            INFO = VALIDATION_ALERT_STYLE_INFO
            """
            information message is shown and the user is asked whether the change will be accepted (defaulted to \"Yes\").
            """
            MACRO = VALIDATION_ALERT_STYLE_MACRO
            """
            macro is executed.
            """
            STOP = VALIDATION_ALERT_STYLE_STOP
            """
            error message is shown and the change is rejected.
            """
            WARNING = VALIDATION_ALERT_STYLE_WARNING
            """
            warning message is shown and the user is asked whether the change will be accepted (defaulted to \"No\").
            """
    else:
        # keep document generators happy
        from ...lo.sheet.validation_alert_style import ValidationAlertStyle as ValidationAlertStyle


__all__ = ['ValidationAlertStyle']
