# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.smarttags
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import Any, TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME

_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    # document generators will most likely not see this.
    from ooo.helper.enum_helper import UnoEnumMeta
    class SmartTagRecognizerMode(metaclass=UnoEnumMeta, type_name="com.sun.star.smarttags.SmartTagRecognizerMode", name_space="com.sun.star.smarttags"):
        """Dynamically created class that represents ``com.sun.star.smarttags.SmartTagRecognizerMode`` Enum. Class loosely mimics Enum"""
        pass
else:
    if TYPE_CHECKING:
        from com.sun.star.smarttags.SmartTagRecognizerMode import CELL as SMART_TAG_RECOGNIZER_MODE_CELL
        from com.sun.star.smarttags.SmartTagRecognizerMode import CHAR as SMART_TAG_RECOGNIZER_MODE_CHAR
        from com.sun.star.smarttags.SmartTagRecognizerMode import PARAGRAPH as SMART_TAG_RECOGNIZER_MODE_PARAGRAPH
        from com.sun.star.smarttags.SmartTagRecognizerMode import SINGLE_WORD as SMART_TAG_RECOGNIZER_MODE_SINGLE_WORD

        class SmartTagRecognizerMode(uno.Enum):
            """
            Enum Class


            See Also:
                `API SmartTagRecognizerMode <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1smarttags.html#a2eab74f21d11f78b5aa7826b0c60604f>`_
            """

            def __init__(self, value: Any) -> None:
                super().__init__('com.sun.star.smarttags.SmartTagRecognizerMode', value)

            __ooo_ns__: str = 'com.sun.star.smarttags'
            __ooo_full_ns__: str = 'com.sun.star.smarttags.SmartTagRecognizerMode'
            __ooo_type_name__: str = 'enum'

            CELL = SMART_TAG_RECOGNIZER_MODE_CELL
            """
            Text passed to the recognizer is a cell.
            """
            CHAR = SMART_TAG_RECOGNIZER_MODE_CHAR
            """
            Text passed to the recognizer is a single character.
            """
            PARAGRAPH = SMART_TAG_RECOGNIZER_MODE_PARAGRAPH
            """
            Text passed to the recognizer is a paragraph.
            """
            SINGLE_WORD = SMART_TAG_RECOGNIZER_MODE_SINGLE_WORD
            """
            Text passed to the recognizer is a single word.
            """
    else:
        # keep document generators happy
        from ...lo.smarttags.smart_tag_recognizer_mode import SmartTagRecognizerMode as SmartTagRecognizerMode


__all__ = ['SmartTagRecognizerMode']
