# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.ucb
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import Any, TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME

_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    # document generators will most likely not see this.
    from ooo.helper.enum_helper import UnoEnumMeta
    class LockScope(metaclass=UnoEnumMeta, type_name="com.sun.star.ucb.LockScope", name_space="com.sun.star.ucb"):
        """Dynamically created class that represents ``com.sun.star.ucb.LockScope`` Enum. Class loosely mimics Enum"""
        pass
else:
    if TYPE_CHECKING:
        from com.sun.star.ucb.LockScope import EXCLUSIVE as LOCK_SCOPE_EXCLUSIVE
        from com.sun.star.ucb.LockScope import SHARED as LOCK_SCOPE_SHARED

        class LockScope(uno.Enum):
            """
            Enum Class


            See Also:
                `API LockScope <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1ucb.html#ae15ecbfc9e84371b6044661d1493e6a5>`_
            """

            def __init__(self, value: Any) -> None:
                super().__init__('com.sun.star.ucb.LockScope', value)

            __ooo_ns__: str = 'com.sun.star.ucb'
            __ooo_full_ns__: str = 'com.sun.star.ucb.LockScope'
            __ooo_type_name__: str = 'enum'

            EXCLUSIVE = LOCK_SCOPE_EXCLUSIVE
            """
            the lock is exclusive.
            """
            SHARED = LOCK_SCOPE_SHARED
            """
            the lock is shared.
            """
    else:
        # keep document generators happy
        from ...lo.ucb.lock_scope import LockScope as LockScope


__all__ = ['LockScope']
