# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.i18n
# Libre Office Version: 7.4
from __future__ import annotations
from typing import cast, TYPE_CHECKING
from enum import Enum
if TYPE_CHECKING:
    from com.sun.star.i18n.UnicodeScript import UnicodeScriptProto

class UnicodeScript(Enum):
    """
    Enum Class


    See Also:
        `API UnicodeScript <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1i18n.html#a47be7d1d06e067d647f387cc160d5e29>`_
    """
    __ooo_ns__: str = 'com.sun.star.i18n'
    __ooo_full_ns__: str = 'com.sun.star.i18n.UnicodeScript'
    __ooo_type_name__: str = 'enum'

    @property
    def typeName(self) -> str:
        return 'com.sun.star.i18n.UnicodeScript'

    kAlphabeticPresentation = cast("UnicodeScriptProto", 'kAlphabeticPresentation')
    """
    """
    kArabic = cast("UnicodeScriptProto", 'kArabic')
    """
    """
    kArabicPresentationA = cast("UnicodeScriptProto", 'kArabicPresentationA')
    """
    """
    kArabicPresentationB = cast("UnicodeScriptProto", 'kArabicPresentationB')
    """
    """
    kArmenian = cast("UnicodeScriptProto", 'kArmenian')
    """
    """
    kArrow = cast("UnicodeScriptProto", 'kArrow')
    """
    """
    kBasicLatin = cast("UnicodeScriptProto", 'kBasicLatin')
    """
    """
    kBengali = cast("UnicodeScriptProto", 'kBengali')
    """
    """
    kBlockElement = cast("UnicodeScriptProto", 'kBlockElement')
    """
    """
    kBopomofo = cast("UnicodeScriptProto", 'kBopomofo')
    """
    """
    kBopomofoExtended = cast("UnicodeScriptProto", 'kBopomofoExtended')
    """
    """
    kBoxDrawing = cast("UnicodeScriptProto", 'kBoxDrawing')
    """
    """
    kBraillePatterns = cast("UnicodeScriptProto", 'kBraillePatterns')
    """
    """
    kCJKCompatibility = cast("UnicodeScriptProto", 'kCJKCompatibility')
    """
    """
    kCJKCompatibilityForm = cast("UnicodeScriptProto", 'kCJKCompatibilityForm')
    """
    """
    kCJKCompatibilityIdeograph = cast("UnicodeScriptProto", 'kCJKCompatibilityIdeograph')
    """
    """
    kCJKRadicalsSupplement = cast("UnicodeScriptProto", 'kCJKRadicalsSupplement')
    """
    """
    kCJKSymbolPunctuation = cast("UnicodeScriptProto", 'kCJKSymbolPunctuation')
    """
    """
    kCJKUnifiedIdeograph = cast("UnicodeScriptProto", 'kCJKUnifiedIdeograph')
    """
    """
    kCJKUnifiedIdeographsExtensionA = cast("UnicodeScriptProto", 'kCJKUnifiedIdeographsExtensionA')
    """
    """
    kCherokee = cast("UnicodeScriptProto", 'kCherokee')
    """
    """
    kCombiningDiacritical = cast("UnicodeScriptProto", 'kCombiningDiacritical')
    """
    """
    kCombiningHalfMark = cast("UnicodeScriptProto", 'kCombiningHalfMark')
    """
    """
    kControlPicture = cast("UnicodeScriptProto", 'kControlPicture')
    """
    """
    kCurrencySymbolScript = cast("UnicodeScriptProto", 'kCurrencySymbolScript')
    """
    """
    kCyrillic = cast("UnicodeScriptProto", 'kCyrillic')
    """
    """
    kDevanagari = cast("UnicodeScriptProto", 'kDevanagari')
    """
    """
    kDingbat = cast("UnicodeScriptProto", 'kDingbat')
    """
    """
    kEnclosedAlphanumeric = cast("UnicodeScriptProto", 'kEnclosedAlphanumeric')
    """
    """
    kEnclosedCJKLetterMonth = cast("UnicodeScriptProto", 'kEnclosedCJKLetterMonth')
    """
    """
    kEthiopic = cast("UnicodeScriptProto", 'kEthiopic')
    """
    """
    kGeneralPunctuation = cast("UnicodeScriptProto", 'kGeneralPunctuation')
    """
    """
    kGeometricShape = cast("UnicodeScriptProto", 'kGeometricShape')
    """
    """
    kGeorgian = cast("UnicodeScriptProto", 'kGeorgian')
    """
    """
    kGreek = cast("UnicodeScriptProto", 'kGreek')
    """
    """
    kGreekExtended = cast("UnicodeScriptProto", 'kGreekExtended')
    """
    """
    kGujarati = cast("UnicodeScriptProto", 'kGujarati')
    """
    """
    kGurmukhi = cast("UnicodeScriptProto", 'kGurmukhi')
    """
    """
    kHalfwidthFullwidthForm = cast("UnicodeScriptProto", 'kHalfwidthFullwidthForm')
    """
    """
    kHangulCompatibilityJamo = cast("UnicodeScriptProto", 'kHangulCompatibilityJamo')
    """
    """
    kHangulJamo = cast("UnicodeScriptProto", 'kHangulJamo')
    """
    """
    kHangulSyllable = cast("UnicodeScriptProto", 'kHangulSyllable')
    """
    """
    kHebrew = cast("UnicodeScriptProto", 'kHebrew')
    """
    """
    kHighPrivateUseSurrogate = cast("UnicodeScriptProto", 'kHighPrivateUseSurrogate')
    """
    """
    kHighSurrogate = cast("UnicodeScriptProto", 'kHighSurrogate')
    """
    """
    kHiragana = cast("UnicodeScriptProto", 'kHiragana')
    """
    """
    kIPAExtension = cast("UnicodeScriptProto", 'kIPAExtension')
    """
    """
    kIdeographicDescriptionCharacters = cast("UnicodeScriptProto", 'kIdeographicDescriptionCharacters')
    """
    """
    kKanbun = cast("UnicodeScriptProto", 'kKanbun')
    """
    """
    kKangxiRadicals = cast("UnicodeScriptProto", 'kKangxiRadicals')
    """
    """
    kKannada = cast("UnicodeScriptProto", 'kKannada')
    """
    """
    kKatakana = cast("UnicodeScriptProto", 'kKatakana')
    """
    """
    kKhmer = cast("UnicodeScriptProto", 'kKhmer')
    """
    """
    kLao = cast("UnicodeScriptProto", 'kLao')
    """
    """
    kLatin1Supplement = cast("UnicodeScriptProto", 'kLatin1Supplement')
    """
    """
    kLatinExtendedA = cast("UnicodeScriptProto", 'kLatinExtendedA')
    """
    """
    kLatinExtendedAdditional = cast("UnicodeScriptProto", 'kLatinExtendedAdditional')
    """
    """
    kLatinExtendedB = cast("UnicodeScriptProto", 'kLatinExtendedB')
    """
    """
    kLetterlikeSymbol = cast("UnicodeScriptProto", 'kLetterlikeSymbol')
    """
    """
    kLowSurrogate = cast("UnicodeScriptProto", 'kLowSurrogate')
    """
    """
    kMalayalam = cast("UnicodeScriptProto", 'kMalayalam')
    """
    """
    kMathOperator = cast("UnicodeScriptProto", 'kMathOperator')
    """
    """
    kMiscSymbol = cast("UnicodeScriptProto", 'kMiscSymbol')
    """
    """
    kMiscTechnical = cast("UnicodeScriptProto", 'kMiscTechnical')
    """
    """
    kMongolian = cast("UnicodeScriptProto", 'kMongolian')
    """
    """
    kMyanmar = cast("UnicodeScriptProto", 'kMyanmar')
    """
    """
    kNoScript = cast("UnicodeScriptProto", 'kNoScript')
    """
    """
    kNumberForm = cast("UnicodeScriptProto", 'kNumberForm')
    """
    """
    kOgham = cast("UnicodeScriptProto", 'kOgham')
    """
    """
    kOpticalCharacter = cast("UnicodeScriptProto", 'kOpticalCharacter')
    """
    """
    kOriya = cast("UnicodeScriptProto", 'kOriya')
    """
    """
    kPrivateUse = cast("UnicodeScriptProto", 'kPrivateUse')
    """
    """
    kRunic = cast("UnicodeScriptProto", 'kRunic')
    """
    """
    kScriptCount = cast("UnicodeScriptProto", 'kScriptCount')
    """
    """
    kSinhala = cast("UnicodeScriptProto", 'kSinhala')
    """
    """
    kSmallFormVariant = cast("UnicodeScriptProto", 'kSmallFormVariant')
    """
    """
    kSpacingModifier = cast("UnicodeScriptProto", 'kSpacingModifier')
    """
    """
    kSuperSubScript = cast("UnicodeScriptProto", 'kSuperSubScript')
    """
    """
    kSymbolCombiningMark = cast("UnicodeScriptProto", 'kSymbolCombiningMark')
    """
    """
    kSyriac = cast("UnicodeScriptProto", 'kSyriac')
    """
    """
    kTamil = cast("UnicodeScriptProto", 'kTamil')
    """
    """
    kTelugu = cast("UnicodeScriptProto", 'kTelugu')
    """
    """
    kThaana = cast("UnicodeScriptProto", 'kThaana')
    """
    """
    kThai = cast("UnicodeScriptProto", 'kThai')
    """
    """
    kTibetan = cast("UnicodeScriptProto", 'kTibetan')
    """
    """
    kUnifiedCanadianAboriginalSyllabics = cast("UnicodeScriptProto", 'kUnifiedCanadianAboriginalSyllabics')
    """
    """
    kYiRadicals = cast("UnicodeScriptProto", 'kYiRadicals')
    """
    """
    kYiSyllables = cast("UnicodeScriptProto", 'kYiSyllables')
    """
    """

__all__ = ['UnicodeScript']

