# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.sheet
# Libre Office Version: 7.4
from __future__ import annotations
from typing import cast, TYPE_CHECKING
from enum import Enum
if TYPE_CHECKING:
    from com.sun.star.sheet.FillDirection import FillDirectionProto

class FillDirection(Enum):
    """
    Enum Class


    See Also:
        `API FillDirection <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1sheet.html#aa8eeb1312106b2d89cd26342fa09aac9>`_
    """
    __ooo_ns__: str = 'com.sun.star.sheet'
    __ooo_full_ns__: str = 'com.sun.star.sheet.FillDirection'
    __ooo_type_name__: str = 'enum'

    @property
    def typeName(self) -> str:
        return 'com.sun.star.sheet.FillDirection'

    TO_BOTTOM = cast("FillDirectionProto", 'TO_BOTTOM')
    """
    specifies that rows are filled from top to bottom.
    """
    TO_LEFT = cast("FillDirectionProto", 'TO_LEFT')
    """
    specifies that columns are filled from right to left.
    """
    TO_RIGHT = cast("FillDirectionProto", 'TO_RIGHT')
    """
    specifies that columns are filled from left to right.
    """
    TO_TOP = cast("FillDirectionProto", 'TO_TOP')
    """
    specifies that rows are filled from bottom to top.
    """

__all__ = ['FillDirection']

