# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.text
# Libre Office Version: 7.4
from __future__ import annotations
from typing import cast, TYPE_CHECKING
from enum import Enum
if TYPE_CHECKING:
    from com.sun.star.text.WrapTextMode import WrapTextModeProto

class WrapTextMode(Enum):
    """
    Enum Class


    See Also:
        `API WrapTextMode <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1text.html#a1ed96de3f2d76e93588f67d506a0b0ae>`_
    """
    __ooo_ns__: str = 'com.sun.star.text'
    __ooo_full_ns__: str = 'com.sun.star.text.WrapTextMode'
    __ooo_type_name__: str = 'enum'

    @property
    def typeName(self) -> str:
        return 'com.sun.star.text.WrapTextMode'

    DYNAMIC = cast("WrapTextModeProto", 'DYNAMIC')
    """
    text flow depends on the situation.
    
    The text formatting decides the best way.
    """
    LEFT = cast("WrapTextModeProto", 'LEFT')
    """
    the object is left adjusted.
    
    text flows to the left side of the object.
    
    adjusted to the left.
    """
    NONE = cast("WrapTextModeProto", 'NONE')
    """
    text does not flow around the object.
    """
    PARALLEL = cast("WrapTextModeProto", 'PARALLEL')
    """
    text flows to the left and right of the object.
    """
    RIGHT = cast("WrapTextModeProto", 'RIGHT')
    """
    the object is right adjusted.
    
    text flows to the right side of the object.
    
    adjusted to the right.
    """
    THROUGH = cast("WrapTextModeProto", 'THROUGH')
    """
    text flow ignores the object.
    """
    THROUGHT = cast("WrapTextModeProto", 'THROUGHT')
    """
    text flow ignores the object: errant spelling deprecated in version 5.4
    """

__all__ = ['WrapTextMode']

